terraform {
  required_version = "~>1.8"
  required_providers {
    random = {
      source  = "hashicorp/random"
      version = "~>3.4"
    }
    null = {
      source  = "hashicorp/null"
      version = "~>3.2"
    }
    external = {
      source  = "hashicorp/external"
      version = "~>2.2"
    }
    time = {
      source  = "hashicorp/time"
      version = "~>0.9"
    }
    kubernetes = {
      source  = "hashicorp/kubernetes"
      version = "2.36.0"
    }
  }
}

provider "kubernetes" {
  config_path    = "~/.kube/config"
  config_context = "microk8s-prod-01"
  insecure       = true
}


